define('jls/html/Button', ['jls/lang/Class', 'jls/html/HtmlElement'], function (Class, HtmlElement) {

var Button;
Button = Class.create(HtmlElement,
{
    onCreate : function($super) {
        this.setAttribute('htmlTagName', 'button');
        $super();
    },
    getText : function() {
        return this.getTextContent();
    },
    setText : function(value) {
    	this.setTextContent(value);
        return this;
    }
});


return Button;
});
